petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecAssemblyEnd

Completes assembling the vector. This routine should be called after VecAssemblyBegin().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAssemblyEnd(Vec vec)

Collective on Vec

### Input Parameter

vec -the vector

### Options Database Keys

| -vec_view | - Prints vector in ASCII format
| -vec_view ::ascii_matlab | - Prints vector in ASCII MATLAB format to stdout
| -vec_view matlab:filename | - Prints vector in MATLAB format to matlaboutput.mat
| -vec_view draw | - Activates vector viewing using drawing tools
| -display <name> | - Sets display name (default is host)
| -draw_pause <sec> | - Sets number of seconds to pause after display
| -vec_view socket | - Activates vector viewing using a socket

### See Also

VecAssemblyBegin(), VecSetValues()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/vec/vec/examples/tutorials/ex3f.F.html

### Implementations

VecAssemblyEnd_MPI_BTS in src/vec/vec/impls/mpi/pbvec.c
VecAssemblyEnd_MPI in src/vec/vec/impls/mpi/pdvec.c
VecAssemblyEnd_Nest in src/vec/vec/impls/nest/vecnest.c
VecAssemblyEnd_Node in src/vec/vec/impls/node/vecnode.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages